﻿$ErrorActionPreference = 'Stop';
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = 'restic'
  fileType       = 'zip'
  softwareName   = 'restic'
  url            = 'https://github.com/restic/restic/releases/download/v0.13.1/restic_0.13.1_windows_386.zip'
  url64bit       = 'https://github.com/restic/restic/releases/download/v0.13.1/restic_0.13.1_windows_amd64.zip'
  checksum       = '772ACDB9D5502A67FABE618D3EBF734879F4F5AAF3249AAEA40C2D6D0C81D117'
  checksum64     = '3E8A768889DD85D952FC7160D196C68866C9155383B0347C4049D079C8AE2CDD'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  UnzipLocation  = $toolsDir
}

$FileName = "/restic_0.13.1_windows_amd64.exe"
Install-ChocolateyZipPackage @packageArgs

$restic = ("$toolsDir" + "/restic.exe")

if (Test-Path $restic) {
  Remove-Item $restic
}

Rename-Item -Path ("$toolsDir" + "$FileName") -NewName "restic.exe"